/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package peaconnector;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 *
 * @author Csubák Péter
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface SEMethod {

    public String schemaName();
    public String name();
    public SEAnnot[] parameters() default {};
    public SEAnnot returnType() default @SEAnnot(schemaName="void", name="void");

}
